#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(.gnu.linkonce.this_module) = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section(__versions) = {
	{ 0x1949d08b, "module_layout" },
	{ 0x5f40b161, "ip_local_out" },
	{ 0x2124474, "ip_send_check" },
	{ 0x553192df, "nf_ct_attach" },
	{ 0xa459d538, "__icmp_send" },
	{ 0xbd6a1068, "nf_ip_checksum" },
	{ 0xd33ed3ce, "ip_route_me_harder" },
	{ 0xb9e5d427, "__alloc_skb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x3bec5151, "kfree_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x930ea566, "dev_queue_xmit" },
	{ 0x4bb237a9, "skb_put" },
	{ 0xc6e026cf, "skb_copy_bits" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "375490D6EABFD1D1D01F961");
